package org.bitbucket.bradleysmithllc.etlunit;

public class TestWarning extends Exception
{
	private final String warningId;

	public TestWarning(String msg)
	{
		this(msg, TestConstants.WARN_UNSPECIFIED);
	}

	public TestWarning(String msg, String warningId)
	{
		super(msg);

		this.warningId = warningId;
	}

	public TestWarning(String msg, Exception cause)
	{
		this(msg, TestConstants.WARN_UNSPECIFIED, cause);
	}

	public TestWarning(String msg, String warningId, Exception cause)
	{
		super(msg, cause);

		this.warningId = warningId;
	}

	public String getWarningId()
	{
		return warningId;
	}
}